org.tartarus.snowball.ext

## Class NorwegianStemmer

- java.lang.Object
- - org.tartarus.snowball.SnowballProgram
  - - org.tartarus.snowball.ext.NorwegianStemmer

-     public class NorwegianStemmer
      extends SnowballProgram

  This class was automatically generated by a Snowball to Java compiler It implements the stemming algorithm defined by a snowball script.

- - ### Field Summary

    - ### Fields inherited from class org.tartarus.snowball.SnowballProgram

      `bra, cursor, ket, limit, limit_backward`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NorwegianStemmer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`
    `boolean` | `stem()`

    - ### Methods inherited from class org.tartarus.snowball.SnowballProgram

      `assign_to, copy_from, eq_s_b, eq_s, eq_v_b, eq_v, find_among_b, find_among, getCurrent, getCurrentBuffer, getCurrentBufferLength, in_grouping_b, in_grouping, in_range_b, in_range, insert, out_grouping_b, out_grouping, out_range_b, out_range, replace_s, setCurrent, setCurrent, slice_check, slice_del, slice_from, slice_to`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NorwegianStemmer

          public NorwegianStemmer()

  - ### Method Detail

    - #### stem

          public boolean stem()

      Specified by:
        `stem` in class `SnowballProgram`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.